import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';
const jsonIndianstate =
    'https://gist.githubusercontent.com/mkowthavarapu/5dd433f59cd13ed9231bb43bd7d11c09/raw/3900086b51398f04c284ddf533c43e42abc10e56/india_states.json';
	const jsonIndiaDistrict = 'https://gist.githubusercontent.com/mkowthavarapu/72bc87fb3bb3e14a1b3220bc38f628a5/raw/90e06e2378ce90a1afbc1d092c7779434d124fe8/india_district.json';

export const useData = (selArea) => {
    let [data, setData] = useState(null);
  	// console.log(selectedArea)
    useEffect(() => {
    const bundle = {}
    json(jsonIndianstate).then(stateTopology => {
      const state = stateTopology.objects.india;
      json(jsonIndiaDistrict).then(districtTopology =>{
      	const dist = districtTopology.objects.india;
      	setData({'state':feature(stateTopology,state),'dist':feature(districtTopology,dist)})
      })
    });  
  }, []);
  
  return data;
  } 